import javax.swing.*;  // java swing JApplet sinifini cagir
import java.awt.*;    // java pencere awt sinifini cagir
import java.awt.event.*;     //  java pencereyi dinleme sinifini cagir

public class switch_case
{   
    public static void main(String arg[])
    {  
    int Asayisi=0,Bsayisi=0,Csayisi=0,Dsayisi=0,Esayisi=0,Fsayisi=0;    
    String not1="";
    char not;
    String cikti="";
    boolean b1=true;
    while(b1)
    {
	not1=JOptionPane.showInputDialog("Ogrencinin notunu giriniz (A,B,C,D,E,F çıkış için başka bir karekter basınız : ");
	not=not1.charAt(0);
    switch(not)
    {
      case 'A': case 'a':
        ++Asayisi;
        break;
      case 'B': case 'b':
        ++Bsayisi;
        break;
      case 'C': case 'c':
        ++Csayisi;
        break;
      case 'D': case 'd':
        ++Dsayisi;
        break;
      case 'E': case 'e':
        ++Esayisi;
        break;
      case 'F': case 'f':
        ++Fsayisi;
        break;
      default:
        b1=false;
        break;
    }  // switch deyiminin sonu
    }  //while deyiminin sonu      
         cikti=cikti+"Her harf notun toplami : \n";
         cikti=cikti+"A : "+Asayisi+"\n";
         cikti=cikti+"B : "+Bsayisi+"\n";
         cikti=cikti+"C : "+Csayisi+"\n";
         cikti=cikti+"D : "+Dsayisi+"\n";
         cikti=cikti+"E : "+Esayisi+"\n";
         cikti=cikti+"F : "+Fsayisi+"\n";
         JOptionPane.showMessageDialog(null,cikti,"switch-case deyimi",JOptionPane.PLAIN_MESSAGE);
    }
}
